<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2008, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->

<!-- This is the same layout as choose_lock_password -->

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical"
    android:gravity="center_horizontal">

    <!-- header text ('Enter Pin') -->
    <TextView android:id="@+id/headerText"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:lines="2"
        android:textAppearance="?android:attr/textAppearanceLarge"/>

    <!-- spacer above text entry field -->
    <View
        android:id="@+id/spacerBottom"
        android:layout_width="fill_parent"
        android:layout_height="1dip"
        android:layout_marginTop="6dip"
        android:background="@android:drawable/divider_horizontal_dark"
    />

    <!-- Password entry field -->
    <EditText android:id="@+id/password_entry"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:singleLine="true"
        android:textStyle="bold"
        android:inputType="textPassword"
        android:gravity="center"
        android:layout_gravity="center"
        android:textSize="24sp"
        android:layout_marginLeft="30dip"
        android:layout_marginRight="30dip"
        android:textAppearance="?android:attr/textAppearanceLarge"
        android:background="@drawable/password_field_default"
        android:textColor="#ffffffff"
        android:imeOptions="actionNext|flagNoEnterAction"
    />

    <!-- Spacer between password entry and keyboard -->
    <View
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1" />

    <!-- Alphanumeric keyboard -->
    <com.android.internal.widget.PasswordEntryKeyboardView android:id="@+id/keyboard"
        android:layout_alignParentBottom="true"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#00000000"
        android:keyBackground="@*android:drawable/btn_keyboard_key_fulltrans"
        android:visibility="gone"
    />

    <View
        android:layout_width="match_parent"
        android:layout_height="0dip"
    />

    <LinearLayout
        style="@style/SecurityPreferenceButtonContainer"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:background="@*android:drawable/btn_group_disabled_holo_dark"
        android:orientation="horizontal">

        <!-- left / top button: skip, or re-try -->
        <Button android:id="@+id/cancel_button"
            style="@style/SecurityPreferenceButton"
            android:text="@string/lockpattern_tutorial_cancel_label"/>

        <!-- right / bottom button: confirm or ok -->
        <Button android:id="@+id/next_button"
            style="@style/SecurityPreferenceButton"
            android:text="@string/lockpattern_tutorial_continue_label"/>

    </LinearLayout>

</LinearLayout>

